Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.ejbjar31
Class MethodPermissionTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.ejbjar31.MethodPermissionTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, MethodPermissionType<T>

    public class MethodPermissionTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, MethodPermissionType<T>

This class implements the `method-permissionType` xsd type

Original Documentation:

The method-permissionType specifies that one or more
security roles are allowed to invoke one or more enterprise
bean methods. The method-permissionType consists of an
optional description, a list of security role names or an
indicator to state that the method is unchecked for
authorization, and a list of method elements.
The security roles used in the method-permissionType
must be defined in the security-role elements of the
deployment descriptor, and the methods must be methods
defined in the enterprise bean's business, home, component
and/or web service endpoint interfaces.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`MethodPermissionTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`MethodPermissionTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<MethodType<MethodPermissionType<T>>>` | `getMethodList()` Returns all `method` elements
`java.util.List<java.lang.String>` | `getRoleNameList()` Returns all `role-name` elements
`java.lang.Boolean` | `isUnchecked()`
`MethodType<MethodPermissionType<T>>` | `method()` Returns the `method` element
`MethodPermissionType<T>` | `removeAllDescription()` Removes the `description` element
`MethodPermissionType<T>` | `removeAllMethod()` Removes all `method` elements
`MethodPermissionType<T>` | `removeAllRoleName()` Removes the `role-name` element
`MethodPermissionType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`MethodPermissionType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`MethodPermissionType<T>` | `setRoleName(java.lang.String roleName)` Creates a new `role-name` element
`MethodPermissionType<T>` | `setRoleNameList(java.lang.String... values)` Creates for all String objects representing `role-name` elements, a new `role-name` element
`MethodPermissionType<T>` | `unchecked()`
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodPermissionTypeImpl

    public MethodPermissionTypeImpl(T t,
                                    java.lang.String nodeName,
                                    org.jboss.shrinkwrap.descriptor.spi.Node node)

### MethodPermissionTypeImpl

    public MethodPermissionTypeImpl(T t,
                                    java.lang.String nodeName,
                                    org.jboss.shrinkwrap.descriptor.spi.Node node,
                                    org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public MethodPermissionType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `MethodPermissionType<T>`
  Returns:
    the current instance of `MethodPermissionType`

### setDescriptionList

    public MethodPermissionType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `MethodPermissionType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `MethodPermissionType`

### removeAllDescription

    public MethodPermissionType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `MethodPermissionType<T>`
  Returns:
    the current instance of `MethodPermissionType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `MethodPermissionType<T>`
  Returns:
    list of `description`

### removeAllMethod

    public MethodPermissionType<T> removeAllMethod()

  Removes all `method` elements

  Specified by:
    `removeAllMethod` in interface `MethodPermissionType<T>`
  Returns:
    the current instance of `MethodPermissionType`

### method

    public MethodType<MethodPermissionType<T>> method()

  Returns the `method` element

  Specified by:
    `method` in interface `MethodPermissionType<T>`
  Returns:
    the node defined for the element `method`

### getMethodList

    public java.util.List<MethodType<MethodPermissionType<T>>> getMethodList()

  Returns all `method` elements

  Specified by:
    `getMethodList` in interface `MethodPermissionType<T>`
  Returns:
    list of `method`

### setRoleName

    public MethodPermissionType<T> setRoleName(java.lang.String roleName)

  Creates a new `role-name` element

  Specified by:
    `setRoleName` in interface `MethodPermissionType<T>`
  Returns:
    the current instance of `MethodPermissionType`

### setRoleNameList

    public MethodPermissionType<T> setRoleNameList(java.lang.String... values)

  Creates for all String objects representing `role-name` elements, a new `role-name` element

  Specified by:
    `setRoleNameList` in interface `MethodPermissionType<T>`
  Parameters:
    `list` - of `role-name` objects
  Returns:
    the current instance of `MethodPermissionType`

### removeAllRoleName

    public MethodPermissionType<T> removeAllRoleName()

  Removes the `role-name` element

  Specified by:
    `removeAllRoleName` in interface `MethodPermissionType<T>`
  Returns:
    the current instance of `MethodPermissionType`

### getRoleNameList

    public java.util.List<java.lang.String> getRoleNameList()

  Returns all `role-name` elements

  Specified by:
    `getRoleNameList` in interface `MethodPermissionType<T>`
  Returns:
    list of `role-name`

### unchecked

    public MethodPermissionType<T> unchecked()

  Specified by:
    `unchecked` in interface `MethodPermissionType<T>`

### isUnchecked

    public java.lang.Boolean isUnchecked()

  Specified by:
    `isUnchecked` in interface `MethodPermissionType<T>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD